package com.ruoyi.interfaces.service;

import com.ruoyi.interfaces.domain.vo.StatisticsVo;

import java.util.List;
import java.util.Map;

/**
 * @author LinQiLong
 * @date 2022/1/14 10:15
 */
public interface StatisticsService {

    Map<String, Integer> cntByCatalog();

    Map<String, Long> srvNumByServiceDept();

    Map<String, Integer> total();

    Map<String, Integer> keywords();

    List<StatisticsVo> viewNumByCity();

    List<StatisticsVo> serviceByCnt();

    Map<String, Object> lastTwoWeeksCnt();

    Map<String, Long> totalByParam(String param);

    List<Map<String, Object>> getMaintainUnitSystemTree();


    Map<String, Object> getUnitSystemDept();

    List<StatisticsVo> totalByCatalog();
}
